/*
 * a.10.c
 *
 * Example 10 from the openMP specification page.55
 */

#include <stdio.h>

void work(int k) 
{
	#pragma omp ordered
	printf(" %d", k);
}

int main(int argc, char **argv)
{
	#pragma omp for ordered schedule(dynamic)
	int i, lb=1, ub=1000, st=1;
	for ( i=lb; i<ub; i+=st )
		work(i);
	return 0;
}

