/*
 * a.12.c
 *
 * Example 12 from the openMP specification page.56
 */

#define SIZE 1000

int work1( int i )
{
	return 0;
};

int work2( int i )
{
	return 0;
};

int main(int argc, char **argv)
{
	int i, n=SIZE, x[SIZE], y[SIZE], index[SIZE];
	#pragma omp parallel for shared(x, y, index, n)
	for (i=0; i<n; i++) {
		#pragma omp atomic
		x[index[i]] += work1(i);
		y[i] += work2(i);
	}
	return 0;
}

