/*
 * a.15.c
 *
 * Example 15 from the openMP specification page.59
 */

#ifdef _OPENMP
#include <libgomp.h>
#endif 

void work(int k) 
{
}

int main(int argc, char **argv)
{
	int	i, np=100;
#ifdef _OPENMP
	np = omp_get_num_threads(); /* misplaced */ 
#endif 
	#pragma omp parallel for schedule(static)
		for (i=0; i<np; i++)
			work(i);
	/* rewrite */
	#pragma omp parallel private(i)
	{	
#ifdef _OPENMP
		i = omp_get_thread_num();
#endif 
		work(i);
	}
	return 0;
}

