/*
 * a.18.c
 *
 * Example 18 from the openMP specification page.62
 */

void work( int i, int j )
{
};

void work2( int i, int j )
{
};

void work1(int i, int n)
{
	int j;
	#pragma omp parallel default(shared)
	{  
		#pragma omp for
		for (j=0; j<n; j++)
			work2(i, j);
	}
	return; 
}


int main(int argc, char **argv)
{
	#pragma omp parallel default(shared)
	{
		int i, n=10;
		#pragma omp for
		for (i=0; i<n; i++)
		{
			#pragma omp parallel shared(i, n)
			{
				int j;
				#pragma omp for      
				for (j=0; j<n; j++)
					work(i, j);
			}
		}
	}

	#pragma omp parallel default(shared)
	{
		#pragma omp for
		int i, n=10;
		for (i=0; i<n; i++)
			work1(i, n);
	}
	return 0;
}

