/*
 * a.2.c
 *
 * Example 2 from the openMP specification page.51
 */

#include <stdio.h>

int main(int argc, char **argv)
{
# ifdef __GOMP__
	printf("Compiled by a GOMP-compliant implementation.\n");
# endif

#if defined(_OPENMP) 
	printf("Compiled by an OpenMP-compliant implementation.\n"); 
#endif

/* from page.52
 */

#if defined(_OPENMP) && defined(VERBOSE)
	printf("Compiled by an OpenMP-compliant implementation.\n"); 
#endif
    return 0;
}

