/*
 * a.9.c
 *
 * Example 9 from the openMP specification page.54-55
 */

#include <stdio.h>

void work1( )
{
};

void work2( )
{
};

int main(int argc, char **argv)
{
	#pragma omp parallel
	{
		#pragma omp single
		printf("Beginning work1.\n");
		work1();
		#pragma omp single
		printf("Finishing work1.\n");
		#pragma omp single nowait
		printf("Finished work1 and beginning work2.\n");
		work2();
	}
	return 0;
}

