/* ------------------------------------------------------------------------- 
 * $Id: set_nested.c,v 1.3 2004/04/08 21:11:27 jwp Exp $
 * ------------------------------------------------------------------------- */

/*
 * Copyright (c) 2004
 *				see AUTHORS list
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* ------------------------------------------------------------------------- */


#include <stdio.h>
#include <stdlib.h>
#include "libgomp.h"
#include "gomp.h"

#ifdef __cplusplus
extern	"C"	{ 
#endif

void omp_set_nested(int nested)
{
	if ( omp_in_parallel() )
		return; 

	if (nested == 0)
		gomp_state.nested_parallism = FALSE;

	else 
		gomp_state.nested_parallism = TRUE;
}

#ifdef __cplusplus
}
#endif

/* ------------------------------------------------------------------------- */

