/*
 * a.18.c
 *
 * Example 18 from the openMP specification page.62
 */

void work( int i, int j )
{
};

int main(int argc, char **argv)
{
	#pragma omp parallel default(shared)
	{
		int i, n=10;
		#pragma omp for
		for (i=0; i<n; i++)
		{
			#pragma omp parallel shared(i, n)
			{
				#pragma omp for      
				int j;
				for (j=0; j<n; j++)
					work(i, j);
			}
		}
	}
	return 0;
}

