/*
 * a.19.c
 *
 * Example 19 from the openMP specification page.63-65
 */

void work2( int i, int j )
{
};

void work1(int i, int n)
{
	int j;

	#pragma omp for
	for (j=0; j<n; j++)   
		work2(i, j);
}

void wrong2(int n)
{
	#pragma omp parallel default(shared)
	{
		int i;

		#pragma omp for
		for (i=0; i<n; i++)
			work1(i, n);
	}
}

int main(int argc, char **argv)
{
	return 0;
}

