/*
 * a.1.c
 *
 * Example 1 from the openMP specification page.51
 */

void work( int i )
{
};

void sub3(int n)
{
	work(n);
	#pragma omp barrier
	work(n);
}

void sub2(int k)
{
	#pragma omp parallel shared(k)
	sub3(k);
}

void sub1(int n)
{
	int i;

	#pragma omp parallel private(i) shared(n)
	{     
		#pragma omp for
		for (i=0; i<n; i++) 
			sub2(i);
	}
}

int main(int argc, char **argv)
{
	sub1(2);
	sub2(2);
	sub3(2);
	return 0;
}

