/*
 * a.24.c
 *
 * Example 24 from the openMP specification page.70
 */


int a;

void h(int k, int n)
{
}

void g(int k, int n)
{
	h(k,a);		/* The global "a", not the private "a" in f */
}

void d(int i)
{
}

void f(int n)
{
	int a = 0;

	#pragma omp parallel for private(a)
	for (int i=1; i<n; i++)
	{
		a = i;
		g(i, n);
		d(a);		/* Private copy of "a" */
		/* ... */
	}
	/* ... */
}


int main(int argc, char **argv)
{
	return 0;
}

