/*
 * a.3.c
 *
 * Example 3 from the openMP specification page.52
 */

#ifdef _OPENMP
#include <libgomp.h>
#endif 

void subdomain( int a, int b, int c )
{
};

int main(int argc, char **argv)
{
	int	iam=0, np=1, npoints, x;
	float ipoints;

	#pragma omp parallel shared(x, npoints) private(iam, np, ipoints)
	{	

#ifdef _OPENMP
		iam = omp_get_thread_num();
#endif 
#ifdef _OPENMP
		np =  omp_get_num_threads();
#endif 
		ipoints = npoints / np;
		subdomain(x, iam, ipoints);
	}
	return 0;
}

