/*
 * a.4.c
 *
 * Example 4 from the openMP specification page.52
 */

#include <math.h>

#define SIZE_n 1000
#define SIZE_m 10000

int main(int argc, char **argv)
{
	int i, n=SIZE_n, m=SIZE_m;
	float a[SIZE_n], b[SIZE_n];
	float y[SIZE_n], z[SIZE_n];
	#pragma omp parallel
	{
		#pragma omp for nowait
		for ( i=1; i<n; i++ )
			b[i] = (a[i] + a[i-1]) / 2.0;
		#pragma omp for nowait
		for ( i=0; i<m; i++ )    
			y[i] = sqrt(z[i]);
	}
	return 0;
}
