/* ------------------------------------------------------------------------- 
 * $Id: get_num_procs.c,v 1.2 2004/04/08 10:50:55 jwp Exp $
 * ------------------------------------------------------------------------- */

/*
 * Copyright (c) 2004
 *				see AUTHORS list
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* ------------------------------------------------------------------------- */


#include <stdio.h>
#include <stdlib.h>
#include <sys/sysinfo.h>
#include "libgomp.h"

#ifdef __cplusplus
extern	"C"	{ 
#endif

int omp_get_num_procs(void)
{
	/* FIXME linux specific */
	/* recent POSIX platforms should respond to sysconf(_SC_NPROCESSORS_CONF) */
	return get_nprocs();
}

#ifdef __cplusplus
}
#endif

/* ------------------------------------------------------------------------- */

