/* ------------------------------------------------------------------------- 
 * $Id: test_lock.c,v 1.2 2004/04/08 10:50:55 jwp Exp $
 * ------------------------------------------------------------------------- */

/*
 * Copyright (c) 2004
 *				see AUTHORS list
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* ------------------------------------------------------------------------- */


#include <stdio.h>
#include <stdlib.h>
#include "libgomp.h"

#ifdef __cplusplus
extern	"C"	{ 
#endif

enum {UNLOCKED = -1, INIT, LOCKED};

int omp_test_lock(omp_lock_t *lock)
{
	if (*lock == UNLOCKED) {
		*lock = LOCKED;
		return 1;
	} else if (*lock == LOCKED) {
		return 0;
	} else {     
		fprintf(stderr, "error: lock not initialized\n");
		exit(1);
	}
}

#ifdef __cplusplus
}
#endif

/* ------------------------------------------------------------------------- */

